## taskw 1.1.0

=== requirements.txt ===
six
python-dateutil
pytz

=== debian/changelog ===
taskw (1.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ Edward Betts ]
  * Update Standards-Version.
  * Tidy dependencies.
  * Add more detail to the extended description.

 -- Edward Betts <edward@4angle.com>  Mon, 11 Apr 2016 10:53:49 +0100

taskw (1.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #805714)

 -- Edward Betts <edward@4angle.com>  Wed, 18 Nov 2015 15:50:19 +0000

=== debian/control ===
Source: taskw
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-dateutil,
               python-nose,
               python-setuptools,
               python-six,
               python-tz,
               python3-all,
               python3-dateutil,
               python3-nose,
               python3-setuptools,
               python3-six,
               python3-tz,
               taskwarrior (>= 2.5)
Standards-Version: 3.9.7
Homepage: https://github.com/ralphbean/taskw
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/taskw.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/taskw.git

Package: python-taskw
Architecture: all
Depends: taskwarrior (>= 2.5), ${misc:Depends}, ${python:Depends}
Description: Python bindings for your taskwarrior database
 This is a Python API for the 'taskwarrior' command line tool.  It uses the
 'task export' and 'task import' commands to manipulate the task database.
 .
 Using these bindings it is possible to: look at tasks, add new tasks, update
 tasks, delete tasks, mark tasks as completed and read the taskwarrior config.

Package: python3-taskw
Architecture: all
Depends: taskwarrior (>= 2.5), ${misc:Depends}, ${python3:Depends}
Description: Python bindings for your taskwarrior database (Python 3 version)
 This is a Python API for the 'taskwarrior' command line tool.  It uses the
 'task export' and 'task import' commands to manipulate the task database.
 .
 Using these bindings it is possible to: look at tasks, add new tasks, update
 tasks, delete tasks, mark tasks as completed and read the taskwarrior config.
 .
 This package contains taskw for Python 3.

## taskw 1.2.0

=== debian/changelog ===
taskw (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 3.9.8
  * Add Build-Depends for python-kitchen and python3-kitchen.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Nov 2016 10:08:18 +0000

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,20 @@
                dh-python,
                python-all,
                python-dateutil,
+               python-kitchen,
                python-nose,
                python-setuptools,
                python-six,
                python-tz,
                python3-all,
                python3-dateutil,
+               python3-kitchen,
                python3-nose,
                python3-setuptools,
                python3-six,
                python3-tz,
                taskwarrior (>= 2.5)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/ralphbean/taskw
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/taskw.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/taskw.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=taskw
export PYBUILD_TEST_NOSE=1
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python2
Depends: @, python-nose

Tests: python3
Depends: @, python3-nose

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://pypi.debian.net/taskw/taskw-([0-9.]+)\.tar\.gz

## taskw 1.3.0

=== debian/changelog ===
taskw (1.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.

  [ Edward Betts ]
  * New Upstream release.
  * Upstream is no longer signing releases.
  * Upstream has switched from testing with nose to using pytest.
  * Switch from dh --with python in debian/rules to a dh-sequence-python3
  * Update debhelper-compat to 13.
  * Update Standards-Version.
  * Set Rules-Requires-Root to no.
  * Update copyright year.
  * Update debian/watch file standard to version 4.
  * Remove taskw.egg-info during clean target.
  * The test suite was failing due to changes in the latest version of
    taskwarrior (2.5.2). Patch taskw so it works with taskwarrior 2.5.2
    (Closes: #978253, #978258).

 -- Edward Betts <edward@4angle.com>  Mon, 28 Dec 2020 11:16:34 +0000

taskw (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sun, 04 Aug 2019 19:08:05 +0200

taskw (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Edward Betts ]
  * d/control: Update Standards-Version (no changes)
  * d/control: Make it clear that python-taskw is Python 2
  * d/control: Debhelper 11
  * d/tests/control: Switch to using Test-Command

 -- Edward Betts <edward@4angle.com>  Sat, 19 May 2018 19:45:07 +0200

=== debian/control ===
Source: taskw
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-all,
               python3-dateutil,
               python3-kitchen,
               python3-pytest,
               python3-setuptools,
               python3-six,
               python3-tz,
               taskwarrior (>= 2.5)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/ralphbean/taskw
Vcs-Git: https://salsa.debian.org/python-team/packages/taskw.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/taskw

Package: python3-taskw
Architecture: all
Depends: taskwarrior (>= 2.5), ${misc:Depends}, ${python3:Depends}
Description: Python bindings for your taskwarrior database (Python 3 version)
 This is a Python API for the 'taskwarrior' command line tool.  It uses the
 'task export' and 'task import' commands to manipulate the task database.
 .
 Using these bindings it is possible to: look at tasks, add new tasks, update
 tasks, delete tasks, mark tasks as completed and read the taskwarrior config.
 .
 This package contains taskw for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=taskw
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf taskw.egg-info

=== debian/tests/control ===
Test-Command: python3 -m pytest
Restrictions: allow-stderr
Depends: python3-pytest, @

=== debian/watch ===
version=4
# disable signature checking because latest upstream release isn't signed
# opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/taskw/taskw-([0-9.]+)\.tar\.gz

## taskw 1.3.1

=== requirements.txt ===
six
python-dateutil
pytz
kitchen

=== debian/changelog ===
taskw (1.3.1-1) unstable; urgency=medium

  * New Upstream release.
  * Drop all patches, fixed upstream.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 28 Nov 2021 08:15:44 +0000

taskw (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch for Taskwarrior 2.6.0
  * Bump policy versions (no changes)
  * Drop autopkgtest running pytest (does not test the package)
  * Simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 06 Oct 2021 11:46:47 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-tz,
                taskwarrior (>= 2.5)
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/ralphbean/taskw
 Vcs-Git: https://salsa.debian.org/python-team/packages/taskw.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/taskw

## taskw 2.0.0

=== requirements.txt ===
python-dateutil
pytz
kitchen

=== debian/changelog ===
taskw (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Drop use of deprecated kitchen module

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Aug 2024 11:31:40 +0200

taskw (2.0.0-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * remove obsolete python3-six dependency

  [ Jochen Sprickerhof ]
  * Update for python-3.12
  * Update dependencies
  * Bump policy version (no changes)
  * Enable autopkgtest-pkg-pybuild
  * Use debian/clean
  * Fix tests with new pytest (Closes: #1067297)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 28 Mar 2024 08:19:05 +0100

taskw (2.0.0-1) unstable; urgency=medium

  * New Upstream release.
  * Use github as upstream source instead of pypi.
  * Update Standards-Version.
  * Update copyright year.
  * Remove taskw.egg-info during clean target.

 -- Edward Betts <edward@4angle.com>  Tue, 31 May 2022 13:23:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,19 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                dh-sequence-python3,
                python3-all,
-               python3-dateutil,
-               python3-kitchen,
-               python3-pytest,
+               python3-dateutil <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-six,
-               python3-tz,
-               taskwarrior (>= 2.5)
+               python3-tz <!nocheck>,
+               taskwarrior <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/ralphbean/taskw
 Vcs-Git: https://salsa.debian.org/python-team/packages/taskw.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/taskw
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-taskw
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

# work around autokgtest having test/ in root
before-pybuild-autopkgtest:
	sed -i 's#taskw/##' taskw/test/data/default.taskrc

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/taskw-$1\.tar\.gz/ \
  https://github.com/ralphbean/taskw/tags .*/v?(\d\S+)\.tar\.gz
